/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle;

import java.io.Serializable;

import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Builder
@Getter
@ToString
public class ProxyConfig implements Serializable {

	private static final long serialVersionUID = 1L;

	public static final String KEY_PROXY_HOST = "proxyHost";
	public static final String KEY_PROXY_PORT = "proxyPort";
	public static final String KEY_PROXY_USER = "proxyUser";
	public static final String KEY_PROXY_PASSWORD = "proxyPassword";

	public static final String KEY_HTTP_PROXY_HOST = "http.proxyHost";
	public static final String KEY_HTTP_PROXY_PORT = "http.proxyPort";
	public static final String KEY_HTTP_PROXY_USER = "http.proxyUser";
	public static final String KEY_HTTP_PROXY_PASSWORD = "http.proxyPassword";

	public static final String KEY_HTTPS_PROXY_HOST = "https.proxyHost";
	public static final String KEY_HTTPS_PROXY_PORT = "https.proxyPort";
	public static final String KEY_HTTPS_PROXY_USER = "https.proxyUser";
	public static final String KEY_HTTPS_PROXY_PASSWORD = "https.proxyPassword";

	private String host;
	private Integer port;
	private String user;

	@ToString.Exclude
	private String password;

}
