/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle.formdata;

import java.util.List;
import java.util.Optional;
import java.util.Set;
import java.util.UUID;

import de.ozgcloud.formcycle.attachment.FormcycleAttachment;
import de.ozgcloud.formcycle.errorhandling.Warning;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Getter
@Builder(toBuilder = true)
public class FormData {

	private final String requestId = UUID.randomUUID().toString();

	private long formId;
	private String organisationsEinheitId;

	private String formName;

	private ServiceKonto serviceKonto;

	@Singular
	private Set<String> attachmentNames;
	@Singular
	private Set<String> attachmentUuids;

	private List<FormNode> fieldData;

	@Singular
	private List<FormcycleAttachment> attachments;
	@Singular
	private List<FormcycleAttachment> representations;

	@Singular
	private List<Warning> warnings;

	public Optional<ServiceKonto> getServiceKonto() {
		return Optional.ofNullable(serviceKonto);
	}
}
