/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle.attachment;

import java.io.ByteArrayInputStream;

import org.apache.http.entity.ContentType;

import de.ozgcloud.formcycle.attachment.FormcycleAttachment.FormcycleAttachmentBuilder;

public class FormcycleAttachmentTestFactory {

	public static final String UUID_KEY = "uuid";
	public static final String UUID = "12345";
	public static final String FILE_NAME_KEY = "fileName";
	public static final String FILE_NAME  = "file.txt";
	public static final ContentType CONTENT_TYPE = ContentType.create("text/plain");
	public static final byte[] CONTENT = "file".getBytes();

	public static FormcycleAttachment create(){
		return createBuilder().build();
	}

	public static FormcycleAttachmentBuilder createBuilder() {
		return FormcycleAttachment.builder()
				.uuid(UUID)
				.fileName(FILE_NAME)
				.contentType(CONTENT_TYPE)
				.content(new ByteArrayInputStream(CONTENT));
	}
}
