/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle.formdata;

import static de.ozgcloud.formcycle.formdata.ItemClass.*;
import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

class ItemClassTest {

	@Nested
	@DisplayName("Is root method")
	class TestRootContainers {

		@Test
		@DisplayName("should confirm header")
		void shouldConfirmHeaderAsRoot() {
			assertTrue(isRootContainer(HEADER));
		}

		@Test
		@DisplayName("should confirm page")
		void shouldConfirmPageAsRoot() {
			assertTrue(isRootContainer(PAGE));
		}

		@Test
		@DisplayName("should confirm footer")
		void shouldConfirmFooterAsRoot() {
			assertTrue(isRootContainer(FOOTER));
		}
	}


	@Nested
	@DisplayName("Is nested container method")
	class TestNestedContainer {

		@Test
		@DisplayName("should confirm field set")
		void shouldConfirmFieldSet(){
			assertTrue(isNestedContainer(FIELD_SET));
		}

		@Test
		@DisplayName("should confirm container nodelll")
		void shouldConfirmContainer(){
			assertTrue(isNestedContainer(CONTAINER));
		}
	}

	@Nested
	@DisplayName("Is input node method")
	class TestInputElement{

		@Test
		@DisplayName("should confirm text field")
		void shouldConfirmTextField(){
			assertTrue(isInputNode(TEXT_FIELD));
		}

		@Test
		@DisplayName("should confirm text area")
		void shouldConfirmTextArea(){
			assertTrue(isInputNode(TEXT_AREA));
		}

		@Test
		@DisplayName("should confirm select")
		void shouldConfirmSelect(){
			assertTrue(isInputNode(SELECT));
		}

		@Test
		@DisplayName("should confirm checkbox")
		void shouldConfirmCheckbox(){
			assertTrue(isInputNode(CHECKBOX));
		}

		@Test
		@DisplayName("should confirm upload")
		void shouldConfirmUpload(){
			assertTrue(isInputNode(UPLOAD));
		}

	}

	@Test
	@DisplayName("should confirm text item")
	void shouldConfirmTextElement(){
		assertTrue(isTextNode(SPAN));
	}

}