/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle.formdata;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.UUID;

public class PluginDataTestFactory {

	public static final String FIELD_KEY = "field";
	public static final String FIELD_VALUE = "1";

	public static final String OPTIONS_KEY = "1";
	public static final String TITLE_MAP_KEY = "title";
	public static final String TEXT_MAP_KEY = "text";
	public static final String TEXT_MAP_VALUE = "value";

	public static final String UUID_FIELD_KEY = "field.uuid";
	public static final String UUID_VALUE = UUID.randomUUID().toString();
	public static final String CONVERTED_UUID_FIELD = "field_uuid";

	public static HashMap<String, HashMap<String, String>> createOptionsMapWithTextMapKey(String textMapKey) {
		var textMap = new HashMap<String, String>();
		textMap.put(textMapKey, TEXT_MAP_VALUE);
		var optionsMap = new HashMap<String, HashMap<String, String>>();
		optionsMap.put(OPTIONS_KEY, textMap);
		return optionsMap;
	}

	public static HashMap<String, HashMap<String, String>> createOptionsMap() {
		return createOptionsMapWithTextMapKey(TEXT_MAP_KEY);
	}

	public static List<String[]> createFieldValues(String...fieldValues) {
		List<String[]> values = new ArrayList<>();
		Arrays.stream(fieldValues).map(v -> new String[]{v}).forEach(values::add);
		return values;
	}

	public static List<String[]> createFieldValuesWhenEqualUploadName(String...fieldValues) {
		var result = new ArrayList<String[]>();
		result.add(fieldValues);
		return result;
	}
}
