/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle.formdata;

import java.util.UUID;

import de.ozgcloud.formcycle.formdata.ServiceKonto.ServiceKontoBuilder;

public class ServiceKontoTestFactory {

	public final static String TYPE = "BAYERN_ID";
	public final static String TRUST_LEVEL = "STORK-QAA-Level-1";
	public static final String POSTKORB_ID = UUID.randomUUID().toString();
	public static final String SERVICE_KONTO_VERSION = "1";

	public static ServiceKonto create() {
		return createBuilder().build();
	}

	public static ServiceKontoBuilder createBuilder() {
		return ServiceKonto.builder()
				.type(TYPE)
				.trustLevel(TRUST_LEVEL)
				.postkorbId(POSTKORB_ID);
	}
}
